Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hyperion.css.common
Class CSSUtils

    java.lang.Object
      |
      +--com.hyperion.css.common.CSSUtils

public class CSSUtils
extends java.lang.Object

Utility class for the framework and the providers.

Since:
  CSSv2.0

Constructor Summary
`CSSUtils()` Constructor for CSSUtils.

Method Summary
`static void` | `checkValidArgument(java.lang.String argumentName, java.lang.Object argument)` Checks if the argument is valid or not.
`static void` | `checkValidArgument(java.lang.String argumentName, java.lang.String argument)` Checks if the argument passed in is valid or not.
`static boolean` | `isValidArgument(java.lang.String argumentName, java.lang.String argument)` Checks if the argument is valid or not.
`static void` | `printStringArray(org.apache.log4j.Logger logger, java.lang.String[] trustedDomains)` Method printStringArray.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CSSUtils

    public CSSUtils()

  Constructor for CSSUtils.

Method Detail

### checkValidArgument

    public static void checkValidArgument(java.lang.String argumentName,
                                          java.lang.String argument)
                                   throws CSSIllegalArgumentException

  Checks if the argument passed in is valid or not. Checks for "null" and empty string.

  Parameters:
    `argumentName` - - the name of the argument to be used for logging purposes.
    `argument` - - the value of the argument.
  Throws:
    `CSSIllegalArgumentException`

### checkValidArgument

    public static void checkValidArgument(java.lang.String argumentName,
                                          java.lang.Object argument)
                                   throws CSSIllegalArgumentException

  Checks if the argument is valid or not. Checks for "null".

  Parameters:
    `argumentName` - - the name of the argument. This is used for logging purposes.
    `argument` - - the value.
  Throws:
    `CSSIllegalArgumentException`

### isValidArgument

    public static boolean isValidArgument(java.lang.String argumentName,
                                          java.lang.String argument)

  Checks if the argument is valid or not. Checks for "null" and the empty string.

  Parameters:
    `argumentName` - - the name of the argument. This is used for logging purposes.
    `argument` - - the value of the argument.
  Returns:
    boolean

### printStringArray

    public static void printStringArray(org.apache.log4j.Logger logger,
                                        java.lang.String[] trustedDomains)

  Method printStringArray.

  Parameters:
    `logger` -
    `trustedDomains` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2004 Hyperion Solutions Corporation. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD